Skip to main content
GET
/
threads
/
{threadId}
/
events
List Thread events
curl --request GET \
  --url https://mosoo.ai/api/v1/threads/{threadId}/events \
  --header 'Authorization: Bearer <token>'
{
  "events": [
    {
      "content": "<string>",
      "durationMs": 123,
      "id": "<string>",
      "occurredAt": "2023-11-07T05:31:56Z",
      "tokens": 123
    }
  ],
  "truncated": true
}

Authorizations

Authorization
string
header
required

Use Authorization: Bearer grt_pat_... for Human PAT calls or an Organization Service token for machine calls.

Path Parameters

threadId
string
required

Thread ID returned by create thread.

Pattern: ^[0-9A-HJKMNP-TV-Z]{26}$

Query Parameters

limit
integer
default:100

Maximum number of latest Thread events to return.

Required range: 1 <= x <= 1000

Response

Thread event list.

events
object[]
required
truncated
boolean
required